Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerCapabilitiesInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerCapabilitiesInfo

All Implemented Interfaces:
  CapabilitiesInfo

    public class ContainerCapabilitiesInfo

extends java.lang.Object
implements CapabilitiesInfo

This object holds the content type and mode capabilities.

Version:
  $Revision: 6700 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`ContainerCapabilitiesInfo()`

Method Summary
`void` | `add(java.lang.String contentType, org.jboss.portal.portlet.impl.info.ContainerModeInfo mode)`
`void` | `add(java.lang.String contentType, org.jboss.portal.portlet.impl.info.ContainerWindowStateInfo windowState)`
`void` | `add(java.lang.String contentType, org.jboss.portal.Mode mode)`
`void` | `add(java.lang.String contentType, org.jboss.portal.WindowState windowState)`
`void` | `addLocale(java.util.Locale locale)`
`java.util.Set<java.util.Locale>` | `getAllLocales()` Retrieves all the locales supported by the associated Portlet.
`java.util.Set<ModeInfo>` | `getAllModes()` Retrieves all the portlet modes supported by the associated Portlet.
`java.util.Set<WindowStateInfo>` | `getAllWindowStates()` Retrieves all the window states supported by the associated Portlet.
`java.util.Set<java.util.Locale>` | `getLocales(org.jboss.portal.common.net.media.MediaType mimeType)` Retrieves the locales supported by the associated Portlet for the specified MIME type.
`java.util.Set<org.jboss.portal.common.net.media.MediaType>` | `getMediaTypes()` Retrieves all the Media types supported by the associated Portlet.
`ModeInfo` | `getMode(org.jboss.portal.Mode value)` Returns a mode info matching a specifed mode or null.
`java.util.Set<ModeInfo>` | `getModes(org.jboss.portal.common.net.media.MediaType mimeType)` Retrieves the portlet modes supported by the associated Portlet for the specified Media type.
`WindowStateInfo` | `getWindowState(org.jboss.portal.WindowState value)` Returns a window state info matching a specifed window state or null.
`java.util.Set<WindowStateInfo>` | `getWindowStates(org.jboss.portal.common.net.media.MediaType mimeType)` Retrieves the window states supported by the associated Portlet for the specified MIME type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerCapabilitiesInfo

    public ContainerCapabilitiesInfo()

Method Detail

### addLocale

    public void addLocale(java.util.Locale locale)

### add

    public void add(java.lang.String contentType,
                    org.jboss.portal.Mode mode)

### add

    public void add(java.lang.String contentType,
                    org.jboss.portal.portlet.impl.info.ContainerModeInfo mode)

### add

    public void add(java.lang.String contentType,
                    org.jboss.portal.WindowState windowState)

### add

    public void add(java.lang.String contentType,
                    org.jboss.portal.portlet.impl.info.ContainerWindowStateInfo windowState)

### getModes

    public java.util.Set<ModeInfo> getModes(org.jboss.portal.common.net.media.MediaType mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the portlet modes supported by the associated Portlet for the specified Media type.

  Specified by:
    `getModes` in interface `CapabilitiesInfo`
  Parameters:
    `mimeType` - the media type
  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes for the specified Media type

### getWindowStates

    public java.util.Set<WindowStateInfo> getWindowStates(org.jboss.portal.common.net.media.MediaType mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the window states supported by the associated Portlet for the specified MIME type.

  Specified by:
    `getWindowStates` in interface `CapabilitiesInfo`
  Parameters:
    `mimeType` - the mime type
  Returns:
    a Set of `ModeInfo` reprensenting the supported window states for the specified MIME type

### getLocales

    public java.util.Set<java.util.Locale> getLocales(org.jboss.portal.common.net.media.MediaType mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the locales supported by the associated Portlet for the specified MIME type.

  Specified by:
    `getLocales` in interface `CapabilitiesInfo`
  Parameters:
    `mimeType` - the mime type
  Returns:
    a Set of supported `Locale`s for the specified MIME type

### getMediaTypes

    public java.util.Set<org.jboss.portal.common.net.media.MediaType> getMediaTypes()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the Media types supported by the associated Portlet.

  Specified by:
    `getMediaTypes` in interface `CapabilitiesInfo`
  Returns:
    a Set of String representation of supported Media types

### getAllModes

    public java.util.Set<ModeInfo> getAllModes()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the portlet modes supported by the associated Portlet.

  Specified by:
    `getAllModes` in interface `CapabilitiesInfo`
  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes

### getMode

    public ModeInfo getMode(org.jboss.portal.Mode value)

  Description copied from interface: `CapabilitiesInfo`
  Returns a mode info matching a specifed mode or null.

  Specified by:
    `getMode` in interface `CapabilitiesInfo`
  Parameters:
    `value` - the mode
  Returns:
    the mode info

### getAllWindowStates

    public java.util.Set<WindowStateInfo> getAllWindowStates()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the window states supported by the associated Portlet.

  Specified by:
    `getAllWindowStates` in interface `CapabilitiesInfo`
  Returns:
    a Set of `WindowStateInfo` reprensenting the supported window states

### getWindowState

    public WindowStateInfo getWindowState(org.jboss.portal.WindowState value)

  Description copied from interface: `CapabilitiesInfo`
  Returns a window state info matching a specifed window state or null.

  Specified by:
    `getWindowState` in interface `CapabilitiesInfo`
  Parameters:
    `value` - the window state
  Returns:
    the window state info

### getAllLocales

    public java.util.Set<java.util.Locale> getAllLocales()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the locales supported by the associated Portlet.

  Specified by:
    `getAllLocales` in interface `CapabilitiesInfo`
  Returns:
    the Set of supported `Locale`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.